"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = __importDefault(require("yargs"));
const log_1 = require("./utils/log");
const copyright_1 = require("./utils/copyright");
const middlewares_1 = require("./utils/middlewares");
const { version } = require('../package.json');
yargs_1.default
    .usage('\nUsage: contentful <cmd> [args]')
    .commandDir('cmds')
    .middleware([middlewares_1.getCommand, middlewares_1.buildContext, middlewares_1.assertContext])
    .scriptName('')
    .demandCommand(4, 'Please specify a command.')
    .help('h')
    .alias('h', 'help')
    .strict()
    .recommendCommands()
    .option('v', {
    alias: 'version',
    global: false,
    type: 'boolean',
    describe: 'Show current version',
    skipValidation: true
})
    .version(false)
    .epilog(copyright_1.copyright)
    .fail(function (msg, err, yargs) {
    if (err)
        throw err;
    console.error(yargs.help());
    console.error(msg);
    process.exit(1);
})
    .parse(process.argv.slice(2), (_, argv, output) => {
    if (argv.version === true && !argv._.length) {
        (0, log_1.log)(version);
    }
    else {
        (0, log_1.log)(output);
    }
});
