"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleAsyncError = void 0;
const log_1 = require("./log");
const handleAsyncError = (asyncFn, errorHandler = log_1.logError) => (argv) => asyncFn(argv).catch((error) => {
    errorHandler(error);
    // Since the error got catched to allow async commands in yargs
    // and we can't throw to avoid unresolved promise rejections,
    // we manually exit here with exit code 1
    process.exit(1);
});
exports.handleAsyncError = handleAsyncError;
