"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printChangesetMessages = void 0;
const create_merge_message_1 = require("./create-merge-message");
const render_changeset_messages_1 = require("./render-changeset-messages");
function printChangesetMessages(targetModel, items) {
    const messages = (0, create_merge_message_1.createMessageLogStructure)(targetModel, items);
    const addedString = (0, render_changeset_messages_1.renderChangesetMessages)(messages.added);
    const deletedString = (0, render_changeset_messages_1.renderChangesetMessages)(messages.deleted);
    const updatedString = (0, render_changeset_messages_1.renderChangesetMessages)(messages.updated);
    let response = '';
    function maybeAdd(value) {
        if (value && value.length > 0) {
            response += value;
            response += '\n';
        }
    }
    maybeAdd(deletedString);
    maybeAdd(addedString);
    maybeAdd(updatedString);
    return response;
}
exports.printChangesetMessages = printChangesetMessages;
