# Contentful CLI - Documentation

```sh
Usage: contentful <cmd> [args]

Commands:
  config        Manage and list your configs
  content-type  Manage and list your space content types           [aliases: ct]
  extension     Manage and list your extensions
  init          Get started with Contentful
  login         Login to Contentful
  logout        Logout from Contentful
  organization  Manage and list your organizations
  space         Manage and list your spaces

Options:
  -h, --help     Show help                                             [boolean]
  -v, --version  Show current version                                  [boolean]

Copyright Contentful 2019-Present
```

## Available commands:

- [config](./config) - Config related commands
- [content-type](./content-type) - Content Type related commands
- [extension](./extension) - UI Extension related commands
- [init](./init) - Get an introduction to Contentful
- [login](./login) - Start new CLI session
- [logout](./logout) - End CLI session
- [organization](./organization) - Organization related commands
- [space](./space) - Space related commands
